﻿using CommunityToolkit.Maui.Converters;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 선택 리스트 - SelectedValue

    /// <summary>
    /// 선택 리스트
    /// </summary>
    public string SelectedValue { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        SelectedValue = "테스트 문자열 입니다.";

        IsStringNotNullOrWhiteSpaceConverter converter = new IsStringNotNullOrWhiteSpaceConverter();

        this.label.SetBinding
        (
            Label.TextProperty,
            new Binding("SelectedValue", converter : converter)
        );

        BindingContext = this;
    }

    #endregion
}